Bug Hunting Session
Bug 43450 - WIKIHELP table-styled list consistency
Summary: WIKIHELP table-styled list consistency
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:3.7.0
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-01 19:55 UTC by Korrawit Pruegsanusak
Modified: 2012-09-17 19:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Korrawit Pruegsanusak 2011-12-01 19:55:07 UTC
Currently the table-styled list in WIKIHELP looks awful.

Example:
http://help.libreoffice.org/Math/Other_Symbols
which comes from http://cgit.freedesktop.org/libreoffice/help/tree/helpcontent2/source/text/smath/01/03091600.xhp
See line 84-105, it has 2 <tablerow> per one <table> per one symbol.

http://help.libreoffice.org/Math/Attributes
which comes from http://cgit.freedesktop.org/libreoffice/help/tree/helpcontent2/source/text/smath/01/03090600.xhp
See line 85-98, it has 1 <tablerow> per one <table> per one symbol.

This inconsistency caused awful results.

We should fix this in the original files, to have their own consistency. And then we might also have to fix conversion script [1] after that.

[1] http://cgit.freedesktop.org/libreoffice/help/tree/helpcontent2/to-wiki/wikiconv2.py
Comment 1 Michael Meeks 2012-09-14 14:08:33 UTC
It certainly does look awful :-) I guess Kendy was looking at wikihelp recently too (?) :-)
Comment 2 Not Assigned 2012-09-17 19:00:37 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=9566abad03d89f98cdeb8d662c39aa54db2ca3f1

fdo#43450 make markup wikihelp-friendly



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.